%define	upstream_name	 Module-Load-Conditional
%define upstream_version 0.58

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Looking up module information / loading at runtime
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::CoreList) >= 2.220.0
BuildRequires: perl(Module::Load) >= 0.110.0
BuildRequires: perl(Module::Metadata) >= 1.0.5
BuildRequires: perl(Params::Check)
BuildRequires: perl(Test::More)
BuildRequires: perl(version) >= 0.690.0
BuildArch:  noarch

%description
Module::Load::Conditional provides simple ways to query and possibly load any
of the modules you have installed on your system during runtime.

It is able to load multiple modules at once or none at all if one of them was
not able to load. It also takes care of any error checking and so forth.

It allows you to fetch any file pointed to by a ftp, http, file, or rsync uri
by a number of different means.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.580.0-2.mga4
+ Revision: 533995
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.580.0-1.mga4
+ Revision: 475972
- update to 0.58

* Fri Aug 30 2013 sander85 <sander85> 0.560.0-1.mga4
+ Revision: 473272
- update to 0.56

* Wed Mar 27 2013 jquelin <jquelin> 0.540.0-4.mga3
+ Revision: 405511
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.540.0-3.mga3
+ Revision: 369912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.540.0-2.mga3
+ Revision: 315528
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.540.0-1.mga3
+ Revision: 284593
- update to 0.54

* Mon Jun 04 2012 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 254132
- update to 0.50

* Fri Nov 04 2011 jquelin <jquelin> 0.460.0-3.mga2
+ Revision: 162829
- take priority over module bundled with perl 5.14.2

* Sun Sep 18 2011 takashi <takashi> 0.460.0-2.mga2
+ Revision: 144794
- update to 0.46

* Fri Feb 18 2011 jquelin <jquelin> 0.440.0-2.mga1
+ Revision: 53632
- rebuild

* Thu Feb 10 2011 jquelin <jquelin> 0.440.0-1.mga1
+ Revision: 49734
- update to 0.44

* Sun Jan 23 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 33961
- mageia rebuild
- imported package perl-Module-Load-Conditional


* Sat Jan 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.400.0-1mdv2011.0
+ Revision: 630632
- update to new version 0.40

* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-3mdv2011.0
+ Revision: 562432
- rebuild

* Sat Jul 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-2mdv2011.0
+ Revision: 558167
- rebuild

* Mon Apr 26 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.1
+ Revision: 539059
- update to 0.38

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-2mdv2010.1
+ Revision: 519946
- rebuild with new rpm-setup

* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2010.1
+ Revision: 503733
- update to 0.36

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2010.1
+ Revision: 461329
- update to 0.34

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.300.0-1mdv2010.0
+ Revision: 405943
- rebuild using %%perl_convert_version

* Tue Jan 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 331587
- update to new version 0.30

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 320437
- update to new version 0.28

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.26-4mdv2009.0
+ Revision: 257898
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.26-3mdv2009.0
+ Revision: 245944
- rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.26-1mdv2008.1
+ Revision: 177286
- update to new version 0.26

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2008.1
+ Revision: 152838
- update to new version 0.24

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.1
+ Revision: 104493
- update to new version 0.22

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.1
+ Revision: 97516
- update to new version 0.20


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2007.0
+ Revision: 133743
- fix build dependencies
- new version
- Import perl-Module-Load-Conditional

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2007.0
- New version 0.12

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2007.0
- New version 0.10

* Fri May 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdk
- buildrequires fix

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdk
- first mdk release

